Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 160649

Summary: CAN-2005-1841 temporary file disclosure flaw
Product: Red Hat Enterprise Linux 4 Reporter: Mark J. Cox <mjc>
Component: acroreadAssignee: Dan Williams <dcbw>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 4.0CC: davidz, dff, security-response-team, tao
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: source=secalert,reported=20050612,impact=moderate,embargo=yes
Fixed In Version: RHSA-2005-575 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2005-07-08 19:40:30 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Mark J. Cox 2005-06-16 12:01:25 UTC
Secunia contacted secalert@redhat.com about a temporary file flaw in Adobe
Acrobat Reader which lets you view other users pdf files.

"Under certain circumstances, it creates temporary files of opened documents
insecurely in /tmp with permissions based on the user's umask."

This issue is fixed in 7.0

Currently embargoed, date to be determined by Secunia

Also affects RHEL3 Extras

Comment 2 Dan Williams 2005-06-23 14:13:35 UTC
Over to davidz

Comment 6 Dan Williams 2005-06-27 11:51:27 UTC
*** Bug 161644 has been marked as a duplicate of this bug. ***

Comment 7 Dan Williams 2005-06-27 15:09:48 UTC
Add an IT

Comment 11 Mark J. Cox 2005-07-07 15:51:34 UTC
Now part of an async update, removing from U2 tracker and making public as no
longer embargoed.

Comment 12 Red Hat Bugzilla 2005-07-08 19:40:32 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-575.html